POST api/NTEmployee/SaveLinkedEmployee

Request Information

URI Parameters

None.

Body Parameters

LinkedEmployeeListDTO
NameDescriptionTypeAdditional information
EmployeeID

string

String length: inclusive between 0 and 12

listLinkedEmployee

Collection of LinkedEmployeeDTO

None.

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

CompanyCode

string

String length: inclusive between 0 and 10

IsExcludeDiscount

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "EmployeeID": "sample string 1",
  "listLinkedEmployee": [
    {
      "Id": 1,
      "EmployeeID": "sample string 2",
      "LinkedEmployeeID": "sample string 3",
      "CompanyName": "sample string 4",
      "LastName": "sample string 5",
      "FirstName": "sample string 6",
      "SSN": "sample string 7",
      "DOB": "2026-08-03T22:13:07.055895-07:00",
      "LastServiceDate": "2026-08-03T22:13:07.055895-07:00",
      "ValidFlag": true,
      "DateCreated": "2026-08-03T22:13:07.055895-07:00",
      "DateUpdated": "2026-08-03T22:13:07.055895-07:00",
      "UserIDCreated": 11,
      "UserIDUpdated": 12,
      "CompanyCode": "sample string 13",
      "IsExcludeDiscount": true
    },
    {
      "Id": 1,
      "EmployeeID": "sample string 2",
      "LinkedEmployeeID": "sample string 3",
      "CompanyName": "sample string 4",
      "LastName": "sample string 5",
      "FirstName": "sample string 6",
      "SSN": "sample string 7",
      "DOB": "2026-08-03T22:13:07.055895-07:00",
      "LastServiceDate": "2026-08-03T22:13:07.055895-07:00",
      "ValidFlag": true,
      "DateCreated": "2026-08-03T22:13:07.055895-07:00",
      "DateUpdated": "2026-08-03T22:13:07.055895-07:00",
      "UserIDCreated": 11,
      "UserIDUpdated": 12,
      "CompanyCode": "sample string 13",
      "IsExcludeDiscount": true
    }
  ],
  "ValidFlag": true,
  "DateCreated": "2026-08-03T22:13:07.055895-07:00",
  "DateUpdated": "2026-08-03T22:13:07.055895-07:00",
  "UserIDCreated": 5,
  "UserIDUpdated": 6,
  "CompanyCode": "sample string 7",
  "IsExcludeDiscount": true
}

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfLinkedEmployeeListDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

LinkedEmployeeListDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": {
    "EmployeeID": "sample string 1",
    "listLinkedEmployee": [
      {
        "Id": 1,
        "EmployeeID": "sample string 2",
        "LinkedEmployeeID": "sample string 3",
        "CompanyName": "sample string 4",
        "LastName": "sample string 5",
        "FirstName": "sample string 6",
        "SSN": "sample string 7",
        "DOB": "2026-08-03T22:13:07.0715168-07:00",
        "LastServiceDate": "2026-08-03T22:13:07.0715168-07:00",
        "ValidFlag": true,
        "DateCreated": "2026-08-03T22:13:07.0715168-07:00",
        "DateUpdated": "2026-08-03T22:13:07.0715168-07:00",
        "UserIDCreated": 11,
        "UserIDUpdated": 12,
        "CompanyCode": "sample string 13",
        "IsExcludeDiscount": true
      },
      {
        "Id": 1,
        "EmployeeID": "sample string 2",
        "LinkedEmployeeID": "sample string 3",
        "CompanyName": "sample string 4",
        "LastName": "sample string 5",
        "FirstName": "sample string 6",
        "SSN": "sample string 7",
        "DOB": "2026-08-03T22:13:07.0715168-07:00",
        "LastServiceDate": "2026-08-03T22:13:07.0715168-07:00",
        "ValidFlag": true,
        "DateCreated": "2026-08-03T22:13:07.0715168-07:00",
        "DateUpdated": "2026-08-03T22:13:07.0715168-07:00",
        "UserIDCreated": 11,
        "UserIDUpdated": 12,
        "CompanyCode": "sample string 13",
        "IsExcludeDiscount": true
      }
    ],
    "ValidFlag": true,
    "DateCreated": "2026-08-03T22:13:07.0715168-07:00",
    "DateUpdated": "2026-08-03T22:13:07.0715168-07:00",
    "UserIDCreated": 5,
    "UserIDUpdated": 6,
    "CompanyCode": "sample string 7",
    "IsExcludeDiscount": true
  },
  "totalCount": 3
}